curl --request POST \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/logbook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [
{
"value": "<unknown>"
}
],
"sorting": [
{}
]
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/logbook"
payload = {
"filters": [{ "value": "<unknown>" }],
"sorting": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: [{value: '<unknown>'}], sorting: [{}]})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/logbook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"fromDatetime": "2025-10-07T10:24:41.143Z",
"fromLocation": {
"geoLatitude": 15.01,
"geoLongitude": 2.8,
"name": "smartmove location",
"address": "Street 1, 1010 Vienna, Austria"
},
"fromMileage": 100,
"created": "2025-10-07T10:24:41.143Z",
"toDatetime": "2025-10-07T10:24:41.143Z",
"toLocation": {
"geoLatitude": 15.01,
"geoLongitude": 2.8,
"name": "smartmove location",
"address": "Street 1, 1010 Vienna, Austria"
},
"toMileage": 340,
"distance": 240,
"driver": {
"mobilityProviderCountryCode": "AT",
"mobilityProviderCode": "ABC",
"customerId": "828c2d1c-d933-4138-9577-02c292b6d869"
},
"note": "<string>"
}
],
"pagination": {
"pageSize": 100,
"pageNumber": 0,
"totalEntries": 1
}
}Get the entire logbook
Fetch the entire logbook of the specified vehicle
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The two-letter country code of the asset provider the vehicles belong to
2The three-character code of the asset provider the vehicles belong to
3The id of the vehicle
Body
The request body contains the new logbook entry that should be inserted into the logbook of the specified vehicle
Request what page is wanted to be retrieved
Show child attributes
Show child attributes
These filters limit what entries of the logbook will be returned. Only the entries that satisfy all conditions are included.
Show child attributes
Show child attributes
The definition by which the fields of the entries are sorted. The order of setting the sorting items corresponds to the priority of sorting by the fields.
Show child attributes
Show child attributes

